<?php
/*
Template Name: Guest Book
*/
?>

<?php get_header(); ?>

<div class="content">

	<div id="primary">
		<div id="notices"></div>

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
			<div class="item">
	
				<div class="pagetitle">
					<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title='Permanent Link to "<?php the_title(); ?>"'><?php the_title(); ?></a></h2>
					<?php edit_post_link('<img src="'.get_bloginfo(template_directory).'/images/pencil.png" alt="Edit Link" />', '<span class="editlink">', '</span>'); ?>
				</div>
			
				<div class="itemtext">
					<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
		
					<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
				</div>
	
			</div>

	<?php comments_template(); ?>
	
		<?php endwhile; endif; ?>


	</div>



</div> <!-- .content -->
	<?php get_sidebar(); ?>
<?php get_footer(); ?>