<?php
//If we're setting options,
if ($_POST['action'] == 'tpg_update') {
	$tpg_option = get_settings('tpg_options');
	if(isset($_POST['update'])) {
		foreach ($_POST['tpg_options'] as $key=>$value){
			$tpg_option[$key] = $value;
		}
		update_option('tpg_options', $tpg_option);
	} elseif (isset($_POST['reset'])) {
		$TPGuestbook->_setOptions(true);
		$message = '<p>'.__('Options reseted!', 'tp-guestbook').'</p>';
		echo '<div id="message" class="updated fade">'.$message.'</div>';
	} elseif (isset($_POST['tpg_create'])) {
		$page_info = $TPGuestbook->_createPage();
		$tpg_option['page_created'] = 1;
		$tpg_option['tpg_id'] = $page_info['id'];
		update_option('tpg_options', $tpg_option);
		if($page_info['create']) {
			$message = '<p>'.__('GuestBook page created!', 'tp-guestbook').'</p>';
		} else {
			$message = '<p>'.__('You already have a GuestBook page', 'tp-guestbook').'</p>';
		}
		echo '<div id="message" class="updated fade">'.$message.'</div>';
	}
}

$tpg_option = get_settings('tpg_options');
if( !$tpg_option['page_created'] ) {
	$template_file = TEMPLATEPATH . '/guestbook.php';
	// check if guestbook template file exists
	if(!file_exists($template_file)) {
		$create_message = '<span>'.__('Could not found guestbook.php file on your current theme folder. You must put guestbook.php file on your current theme folder first!', 'tp-guestbook').'</span>';	
	} else {
		$create_message = '<input name="tpg_create" id="tpg_create" class="button" type="submit" value="'.__('Create Page', 'tp-guestbook').' &raquo;" /> &mdash; '.__('Create your Guestbook Page.', 'tp-guestbook');
	}
} else {
	$create_message = '<span>'.__('You <strong>already have</strong> your own Guestbook page.', 'tp-guestbook').' ( id = '.$tpg_option['tpg_id'].' )</span>';
}
$location = get_settings('siteurl') . '/wp-admin/options-general.php?page='.$_GET['page']; // Form Action URI
?>
<div class="wrap"> 
  <h2><?php _e('TP-Gusetbook Options', 'tp-guestbook', 'tp-guestbook'); ?></h2>
  <form name="tpgoption" method="post" action="<?php echo $location ?>&amp;updated=true"> 
	<input type="hidden" name="action" value="tpg_update" />
	<fieldset class="options">
  <h3><?php _e('Global Options', 'tp-guestbook'); ?></h3>
   <table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Create Guestbook Page:', 'tp-guestbook'); ?></th> 
        <td><span class="green"><?php echo $create_message; ?></span></td> 
      </tr>
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Guestbook Scheme:', 'tp-guestbook'); ?></th> 
		<td>
			<?php	
			$name = $tpg_option['scheme'];
			if ($name != '') {
				$scheme_title = $name;
			} else {
				$scheme_title ='tpg-default.css';
			} ?>

		  <select name="tpg_options[scheme]">
		  <option value="<?php echo $tpg_option['scheme']; ?>"><?php echo $scheme_title; ?></option>
			<option value="-----">----</option>

		  <?php
		  $scheme_dir = @ dir(ABSPATH . '/wp-content/plugins/tp-guestbook/css');

		  if ($scheme_dir) {
		  	while(($file = $scheme_dir->read()) !== false) {
		    		if (!preg_match('|^\.+$|', $file) && preg_match('|\.css$|', $file)) 
		  			$scheme_files[] = $file;
		  		}
		  	}
		  	if ($scheme_dir || $scheme_files) {
		  		foreach($scheme_files as $scheme_file) {
		  	 	echo '<option value="' . $scheme_file . '">' . $scheme_file . '</option>';
		  	}
		  	echo '</select>';
		  } ?>
<br /><span class="blue"><?php _e('Choose the Scheme you would like to use on Guest Book.', 'tp-guestbook'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Commentform Position:', 'tp-guestbook'); ?></th> 
		<td>
          <select name="tpg_options[formposition]">
          <option value="bottom"<?php if ($tpg_option['formposition'] == 'bottom') { ?> selected="selected"<?php } ?> ><?php _e('bottom', 'tp-guestbook');?></option>
          <option value="top"<?php if ($tpg_option['formposition'] == 'top') { ?> selected="selected"<?php } ?> ><?php _e('top', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('Set to top if you want to place commentform on top of the page', 'tp-guestbook'); ?></span><br />
<span class="blue"><?php echo '<strong>'.__('Per Post(Page):', 'tp-guestbook').'</strong> '.sprintf(__('Add custom field \'%s\' with value \'%s\' or \'%s\'', 'tp-guestbook'), 'comment_form_position', 'top', 'bottom'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('All Posts:', 'tp-guestbook'); ?></th> 
        <td>
          <select name="tpg_options[all_posts]">
          <option value="1"<?php if ($tpg_option['all_posts']) { ?> selected="selected"<?php } ?> ><?php _e('true', 'tp-guestbook');?></option>
          <option value="0"<?php if (!$tpg_option['all_posts']) { ?> selected="selected"<?php } ?> ><?php _e('false', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('Enable Threaded and paged comments on all POSTS?', 'tp-guestbook'); ?></span><br />
<span class="blue"><?php echo '<strong>'.__('Per Post:', 'tp-guestbook').'</strong> '.sprintf(__('Add custom field \'%s\' with value \'%s\' or \'%s\'', 'tp-guestbook'), 'tpg_comments', 'on', 'off'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('All Pages:', 'tp-guestbook'); ?></th> 
        <td>
          <select name="tpg_options[all_pages]">
          <option value="1"<?php if ($tpg_option['all_pages']) { ?> selected="selected"<?php } ?> ><?php _e('true', 'tp-guestbook');?></option>
          <option value="0"<?php if (!$tpg_option['all_pages']) { ?> selected="selected"<?php } ?> ><?php _e('false', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('Enable Threaded and paged comments on all PAGES?.', 'tp-guestbook'); ?></span><br />
<span class="blue"><?php echo '<strong>'.__('Per Page:', 'tp-guestbook').'</strong> '.sprintf(__('Add custom field \'%s\' with value \'%s\' or \'%s\'', 'tp-guestbook'), 'tpg_comments', 'on', 'off'); ?></span></td> 
      </tr> 
	</table>
	<hr />
  <h3><?php _e('Threaded Comments Options', 'tp-guestbook'); ?></h3>
    <table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Max Nesting Levels:', 'tp-guestbook'); ?></th> 
        <td><input name="tpg_options[cutoff_level]" type="text" id="cutoff_level" value="<?php echo $tpg_option['cutoff_level']; ?>" size="5" /><br />
<span class="blue"><?php _e('Comments will not nest below this level. ', 'tp-guestbook'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Custom Comments Target:', 'tp-guestbook'); ?></th> 
        <td><input name="tpg_options[custom_target]" type="text" id="custom_target" value="<?php echo $tpg_option['custom_target']; ?>" size="40" />
	<br /> 
<span class="blue"><?php _e('If you have renamed your wp-comments-post.php file to prevent comment spam, set the filename here (relative to the wordpress intall).', 'tp-guestbook'); ?></span></td> 
      </tr> 
</table>
	<hr />
  <h3><?php _e('Paged Comments Options', 'tp-guestbook'); ?></h3> 
    <table width="100%" cellspacing="2" cellpadding="5" class="editform"> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Comments Per Page:', 'tp-guestbook'); ?></th> 
        <td><input name="tpg_options[per_page]" type="text" id="per_page" value="<?php echo $tpg_option['per_page']; ?>" size="5" /><br />
<span class="blue"><?php _e('Page numbers will only be displayed when comments exceed this value.', 'tp-guestbook'); ?></span><br />
<span class="blue"><?php echo '<strong>'.__('Per Post(Page):', 'tp-guestbook').'</strong> '.sprintf(__('Add custom field \'%s\' with value \'%s\'', 'tp-guestbook'), 'comments_per_page', 'on'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th scope="row"><?php _e('Comments Ordering:', 'tp-guestbook'); ?></th> 
        <td>
          <select name="tpg_options[ordering]">
          <option value="DESC"<?php if ($tpg_option['ordering'] == 'DESC') { ?> selected="selected"<?php } ?> ><?php _e('DESC', 'tp-guestbook');?></option>
          <option value="ASC"<?php if ($tpg_option['ordering'] == 'ASC') { ?> selected="selected"<?php } ?> ><?php _e('ASC', 'tp-guestbook');?></option>
          </select><br />
<span class="blue"><?php _e('DESC : Latest comments First, ASC : Earliest comments First.', 'tp-guestbook'); ?></span><br />
<span class="blue"><?php echo '<strong>'.__('Per Post(Page):', 'tp-guestbook').'</strong> '.sprintf(__('Add custom field \'%s\' with value \'%s\' or \'%s\'', 'tp-guestbook'), 'comment_ordering', 'ASC', 'DESC'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Page Range:', 'tp-guestbook'); ?></th> 
        <td><input name="tpg_options[page_range]" type="text" id="page_range" value="<?php echo $tpg_option['page_range']; ?>" size="5" />
	<br /> 
<span class="blue"><?php _e('Number of page numbers to show at one time.', 'tp-guestbook'); ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Use Friendly URLS:', 'tp-guestbook'); ?></th> 
        <td>
          <select name="tpg_options[fancy_url]">
          <option value="1"<?php if ($tpg_option['fancy_url']) { ?> selected="selected"<?php } ?> ><?php _e('true', 'tp-guestbook');?></option>
          <option value="0"<?php if (!$tpg_option['fancy_url']) { ?> selected="selected"<?php } ?> ><?php _e('false', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('Set to true if you want to use "friendly" URLs (requires mod_rewrite), false otherwise', 'tp-guestbook');  ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Show All Commets Link:', 'tp-guestbook');  ?></th> 
        <td>
          <select name="tpg_options[show_all]">
          <option value="1"<?php if ($tpg_option['show_all']) { ?> selected="selected"<?php } ?> ><?php _e('true', 'tp-guestbook');?></option>
          <option value="0"<?php if (!$tpg_option['show_all']) { ?> selected="selected"<?php } ?> ><?php _e('false', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('If enabled, visitors will have the option of choosing to see all comments on one page.', 'tp-guestbook');  ?></span></td> 
      </tr> 
      <tr valign="top"> 
        <th width="20%" scope="row"><?php _e('Fill Last Page:', 'tp-guestbook');  ?></th> 
        <td>
          <select name="tpg_options[fill_last]">
          <option value="1"<?php if ($tpg_option['fill_last']) { ?> selected="selected"<?php } ?> ><?php _e('true', 'tp-guestbook');?></option>
          <option value="0"<?php if (!$tpg_option['fill_last']) { ?> selected="selected"<?php } ?> ><?php _e('false', 'tp-guestbook');?></option>
          </select><br /> 
<span class="blue"><?php _e('Fill last comment-page in descending (DESC) mode.', 'tp-guestbook'); ?></span></td> 
      </tr> 
</table>      

    </fieldset> 
    <p class="submit">
      <input style="float:left;margin-left:5%;" type="submit" name="reset" value="<?php _e('Reset Options', 'tp-guestbook');  ?> &raquo;" />
      <input type="submit" name="update" value="<?php _e('Update Options', 'tp-guestbook');  ?> &raquo;" />
    </p>
  </form> 

</div>